Get Percent Complete Curve (v1) Deprecated

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"SmartPM Public API MCP server": {
  "url": "https://developers.smartpm.com/mcp"
}
Close
GET /public/v1/projects/{projectId}/scenarios/{scenarioId}/percent-complete-curve

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • scenarioId integer(int64) Required

Query parameters

  • filterId array[integer(int64)]
  • activityCodeFilter array[integer(int64)]

Responses

  • 500 */*

    Internal Server Error

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • percentCompleteTypes object Required

      Mapping of percent complete type keys to their names.

      Hide percentCompleteTypes attribute Show percentCompleteTypes attribute object
      • * string Additional properties
    • data object Required

      Mapping of dates to percent complete values for each type.

      Hide data attribute Show data attribute object
      • * object Additional properties
        Hide * attribute Show * attribute object
        • * number(double) Additional properties
GET /public/v1/projects/{projectId}/scenarios/{scenarioId}/percent-complete-curve
curl \
 --request GET 'https://live.smartpmtech.com/public/v1/projects/{projectId}/scenarios/{scenarioId}/percent-complete-curve' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (500)
{}
Response examples (200)
{
  "percentCompleteTypes": "{[SCHEDULED: Scheduled Completion]}",
  "data": {
    "additionalProperty1": {
      "additionalProperty1": 42.0,
      "additionalProperty2": 42.0
    },
    "additionalProperty2": {
      "additionalProperty1": 42.0,
      "additionalProperty2": 42.0
    }
  }
}